Subject: ASP Id in ASP UP message

From: "Vats, Umesh" <[email-masked]>
Date: Mon, 10 Dec 2001 18:23:37 -0800

Hi 

draft 10 of M3UA says that, 

"  The "ASP Identifier Required" is sent by a SGP in response 
to an ASP Up message which does not contain an ASP Identifier 
parameter when the SGP requires one.  The ASP SHOULD resend the
ASP Up message with an ASP Identifier.  "

But ASP Id is an optional parameter in ASP UP message. So, is it 
necessary for an ASP to send ASP Id in the scenario mentioned 
above (is it must for interoperability testing )?

thanks
Umesh  

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Tue, 11 Dec 2001 12:21:53 +0100

Hi Umesh, 

It really depends on the SGP. I mean, ASP has to be ready to send it if the SGP requires it for some reason. But in principle it is not compulsory to use this optional parameter if SGP doesn't ask for it. For the interoperability testing we can previously decide weather the SGPs will need it or not. I think it would depend on the test cases that are defined...

Cheers // Javier.

> -----Original Message-----
> From: Vats, Umesh [mailto:[email-masked]]
> Sent: Tuesday, December 11, 2001 3:24 AM
> To: sigtran
> Subject: ASP Id in ASP UP message
> 
> 
> Hi 
> 
> You are currently subscribed to sigtran as: 
> [email-masked]
> To unsubscribe send a blank email to 
> [email-masked]
> 

---

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 11 Dec 2001 06:01:05 -0600

Javier,

How soon we forget...

ASP Id is required where multiple ASPs exist on the same host and
dynamic port assigment is used.  Where the ASP Identity cannot be
determined from fixed IP/port assignments, the ASP would be wise
to send the ASP Id in the first attempt, rather than wait for a
Error message.

An ASP would be well advised to provide an ASP Id if it wishes to
receive a verified ASP Id in the NOTIFY message.

--brian

Javier Pastor-Balbas (ECE) wrote:                   (Tue, 11 Dec 2001 12:21:53)
> Hi Umesh, 
> 
> It really depends on the SGP. I mean, ASP has to be ready to send it if the
> SGP requires it for some reason. But in principle it is not compulsory to
> use this optional parameter if SGP doesn't ask for it. For the
> interoperability testing we can previously decide weather the SGPs will need
> it or not. I think it would depend on the test cases that are defined...
> 
> Cheers // Javier.
> 
> You are currently subscribed to sigtran as: [email-masked]

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Tue, 11 Dec 2001 15:31:48 +0100

Hi Brian, 

I really see it interesting your way of using the ASP_Identifier, it is only an example. If you read the section 3.5.1 in draft 10 where it is defined, it doesn't state any restrictions for the use of this parameter.

It is not completely required the implementation of this option, but as you say, it can help for certain scenarios. Here also applies the "SHOULD":

"SHOULD   This word, or the adjective "RECOMMENDED", mean that there
   may exist valid reasons in particular circumstances to ignore a
   particular item, but the full implications must be understood and
   carefully weighed before choosing a different course."  (from RFC2119)

Anyway, I think that for the interop test, depending on the test cases it could be useful or not the specification whether we use or not this parameter.

Cheers // Javier.

> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Tuesday, December 11, 2001 1:01 PM
> To: sigtran
> Cc: [email-masked]
> Subject: Re: ASP Id in ASP UP message
> 
> 
> Javier,
> 
> How soon we forget...
> 

---

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 11 Dec 2001 08:58:02 -0600

Javier,

Please see the long thread "ASP Identifier".  The concensus of this
thread was that, except in static port configurations, ASP Identifier
would be necessary.  Please change the draft to reflect the concensus
of that thread.

Thank you.

--brian

Javier Pastor-Balbas (ECE) wrote:                   (Tue, 11 Dec 2001 15:31:48)
> You are currently subscribed to sigtran as: [email-masked]

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---

From: "Vats, Umesh" <[email-masked]>
Date: Tue, 11 Dec 2001 18:04:43 -0800

Hi  Brian

What is the level of uniqueness of ASP Ids for an SGP ?
1. Should all ASPs connecting to one SGP have a unique Id ?
             or 
2. All ASPs connected to one SGP and serving same AS have 
   unique Ids ?

thanks
Umesh

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Tuesday, December 11, 2001 6:58 AM
To: sigtran
Cc: [email-masked]
Subject: Re: ASP Id in ASP UP message

Javier,

Thank you.

--brian

Javier Pastor-Balbas (ECE) wrote:                   (Tue, 11 Dec 2001
15:31:48)
> Hi Brian, 
> 
> I really see it interesting your way of using the ASP_Identifier, it is
only an example. If you read the section 3.5.1 in draft 10 where it is
defined, it doesn't state any restrictions for the use of this parameter.
> 
> It is not completely required the implementation of this option, but as
you say, it can help for certain scenarios. Here also applies the "SHOULD":
> Anyway, I think that for the interop test, depending on the test cases it
could be useful or not the specification whether we use or not this
parameter.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to
[email-masked]

---